/*
/ Projektname : LCD-I2C-Modul
/ Dateiname   : I2C-Display.h
/ Version     : 1.0.0
/ Datum       : 18.01.2014
/ Compiler    : WinAVR 20100110 libc 1_7_1
/ Autor       : Johannes Kretzmann
/ Copyright   : johannes.kretzmann@projektsammlung.de
/               www.projektsammlung.de
*/

 
// Pinbelegung des Display an verwendete C-Pins anpassen
#define I2C_PORT_BIT_DISPLAY_DATA4      0
#define I2C_PORT_BIT_DISPLAY_DATA5      1
#define I2C_PORT_BIT_DISPLAY_DATA6      2
#define I2C_PORT_BIT_DISPLAY_DATA7      3
#define I2C_PORT_BIT_DISPLAY_RS         4
#define I2C_PORT_BIT_DISPLAY_RW         5
#define I2C_PORT_BIT_DISPLAY_E          6
#define I2C_PORT_BIT_BACKLIGHT          7

 
// Display Befehle
#define CLEAR_DISPLAY                   0x01
#define CURSOR_HOME                     0x02
#define DISPLAY_BLINKING                0x0D
#define DISPLAY_CURSOR_BLINKING         0x0F
#define Display_FUNCTION_4BIT_2LINES    0x28   // 4-bit interface, dual line,   5x7 dots
#define Display_ON                      0x0C   // display on, cursor off
#define Display_ENTRY_INC               0x06   // display shift off, inc cursor move dir

#define BUSYFLAG                        7


// Variablen
uint8_t PCF8574_Port_Byte;   


// Funktionen
void InitDisplay(void);
void WriteDisplay(uint8_t data);
void WriteDisplayControl(uint8_t data);
void WriteDisplayData(uint8_t data);
void WriteDisplayString(char *data);
void ClearDisplay(void);
void SetDisplayCursor(uint8_t y, uint8_t x);

