/*
/ Projektname : LCD-I2C-Modul
/ Dateiname   : I2C.h
/ Version     : 1.0.0
/ Datum       : 18.01.2014
/ Compiler    : WinAVR 20100110 libc 1_7_1
/ Autor       : Johannes Kretzmann
/ Copyright   : johannes.kretzmann@projektsammlung.de
/               www.projektsammlung.de
*/

 
// Pinbelegung des I2C-Bus am verwendete C-Pins anpassen
#define PORT_I2C_SDA                PORTB
#define PORT_I2C_SCL                PORTB
#define DDR_I2C_SDA                 DDRB
#define DDR_I2C_SCL                 DDRB
#define PIN_I2C_SDA                 PINB
#define PIN_I2C_SCL                 PINB
#define BIT_I2C_SDA                 0
#define BIT_I2C_SCL                 1
#define I2C_SDA                     0
#define I2C_SCL                     1


// Adressen und Grunddaten des I2C-Bausteins PCF8574
#define PCF8574                     0x40
#define I2C_WRITE_BIT               0
#define I2C_READ_BIT                1
#define DEVICE_ADDR                 PCF8574


// Funktions Deklaration
void Init_I2C(void);
void I2C_Start(void);
void I2C_Transmit(uint8_t I2C_Data); 
void I2C_NAck(void);
void I2C_Stop(void);
void Write_I2C(uint8_t Device_Addr, uint8_t DataI2C);

uint8_t I2C_Ack(void); 
uint8_t I2C_Receive(void);
uint8_t Read_I2C(uint8_t Device_Addr);
